clear all;

% repetitions
rep = 20;

% packet size in symbols
Ntr = 1000;

% signal-to-noise ratio
snr = 8; %0:2:12;
%aux_vec = length(snr);

% number of users (should be typically smaller than the processing gain N)
K =  2:2:12; % 4
aux_vec = length(K);

% memory allocation of variable for BER
ber = zeros(rep,aux_vec);

for j = 1:rep
   for i = 1:aux_vec
      ber(j,i) = ds_cdma(snr,K(i),Ntr);
  end
end

% average ber
av_ber = mean(ber,1);

% Plots
%semilogy(snr,av_ber,'b-s');
%xlabel('SNR');
semilogy(K,av_ber,'b-s');
xlabel('Number of users (K)');
ylabel('BER');
legend('Matched-Filter detector');
grid;